cURL
curl --request POST \ --url https://api.byblend.com/api/v1/auth/login \ --header 'Content-Type: application/json' \ --data ' { "email": "chad@byblend.com", "password": "ch4db13nd$$" } '
{ "access_token": "eyJhbGciOiJIAzI1NiIsInR5cCI6IkpXVCJ9...", "refresh_token": "eyJhbGciOiJIAzI1NiIsInR5cCI6IkpXVCJ9...", "expires_at": "2025-03-27T12:00:00Z", "user": { "id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708", "created_at": "2025-03-15T12:00:00Z", "updated_at": "2025-03-15T12:00:00Z", "email": "chad@byblend.com", "first_name": "Chad", "last_name": "Birkenstock", "is_active": true, "role": "admin" } }
Login to generate Blend API access tokens. Returns a JWT access token and refresh token. The access token expires in 60 minutes, and the refresh token expires in 7 days.
Email address
"chad@byblend.com"
Password
"ch4db13nd$$"
Successful response with access tokens and user details
Access token
"eyJhbGciOiJIAzI1NiIsInR5cCI6IkpXVCJ9..."
Refresh token
Expiration date and time of the refresh token
"2025-03-27T12:00:00Z"
Show child attributes